Bug 1747361 - Review Request: python-ruamel-yaml-clib - C version of reader, parser and emitter for ruamel.yaml derived from libyaml
Summary: Review Request: python-ruamel-yaml-clib - C version of reader, parser and emi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Yatin Karel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-30 08:13 UTC by Chandan Kumar
Modified: 2019-09-14 16:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-08 02:58:52 UTC
ykarel: fedora-review+


Attachments (Terms of Use)

Description Chandan Kumar 2019-08-30 08:13:41 UTC
Spec URL: https://chandankumar.fedorapeople.org/ruamel_clib/python-ruamel-yaml-clib.spec
SRPM URL: https://chandankumar.fedorapeople.org/ruamel_clib/python-ruamel-yaml-clib-0.1.2-1.fc30.src.rpm
Description: It is the C based reader/scanner and emitter for ruamel.yaml.
Fedora Account System Username: chandankumar
Successful scratch build : https://koji.fedoraproject.org/koji/taskinfo?taskID=37350114

Comment 1 Yatin Karel 2019-08-30 12:58:52 UTC
Fedora review output:-

Issue:-
%check not present
- no unit tests upstream https://bitbucket.org/ruamel/yaml.clib/src/default/
rpmlint warnings
- warnings are network and spelling related, urls and spellings are correct

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 26 files have unknown
     license. Detailed output of licensecheck in /tmp/python-ruamel-yaml-
     clib/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-ruamel-yaml-clib
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: python3-ruamel-yaml-clib-0.1.2-1.fc28.x86_64.rpm
          python-ruamel-yaml-clib-debugsource-0.1.2-1.fc28.x86_64.rpm
          python-ruamel-yaml-clib-0.1.2-1.fc28.src.rpm
python3-ruamel-yaml-clib.x86_64: W: spelling-error Summary(en_US) libyaml -> Libya
python-ruamel-yaml-clib.src: W: spelling-error Summary(en_US) libyaml -> Libya
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-ruamel-yaml-clib.x86_64: W: spelling-error Summary(en_US) libyaml -> Libya
python3-ruamel-yaml-clib.x86_64: W: invalid-url URL: https://bitbucket.org/ruamel/yaml.clib <urlopen error [Errno -2] Name or service not known>
python-ruamel-yaml-clib-debugsource.x86_64: W: invalid-url URL: https://bitbucket.org/ruamel/yaml.clib <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Unversioned so-files
--------------------
python3-ruamel-yaml-clib: /usr/lib64/python3.6/site-packages/_ruamel_yaml.cpython-36m-x86_64-linux-gnu.so

Source checksums
----------------
https://files.pythonhosted.org/packages/source/r/ruamel.yaml.clib/ruamel.yaml.clib-0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : cee86ecc893a6a8ecaa7c6a9c2d06f75f614176210d78a5f155f8e78d6989509
  CHECKSUM(SHA256) upstream package : cee86ecc893a6a8ecaa7c6a9c2d06f75f614176210d78a5f155f8e78d6989509


Requires
--------
python3-ruamel-yaml-clib (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.6m.so.1.0()(64bit)
    python(abi)
    python3-setuptools
    rtld(GNU_HASH)

python-ruamel-yaml-clib-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python3-ruamel-yaml-clib:
    python3-ruamel-yaml-clib
    python3-ruamel-yaml-clib(x86-64)
    python3.6dist(ruamel.yaml.clib)
    python3dist(ruamel.yaml.clib)

python-ruamel-yaml-clib-debugsource:
    python-ruamel-yaml-clib-debugsource
    python-ruamel-yaml-clib-debugsource(x86-64)


License is BSD, Package Approved.

Comment 2 Gwyn Ciesla 2019-08-30 14:31:42 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-ruamel-yaml-clib

Comment 3 Fedora Update System 2019-08-30 14:58:34 UTC
FEDORA-2019-8df57149c4 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8df57149c4

Comment 4 Fedora Update System 2019-08-30 14:59:11 UTC
FEDORA-2019-318d58ec15 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-318d58ec15

Comment 5 Fedora Update System 2019-08-31 01:03:59 UTC
python-ruamel-yaml-clib-0.1.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8df57149c4

Comment 6 Fedora Update System 2019-08-31 14:16:14 UTC
FEDORA-2019-318d58ec15 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-318d58ec15

Comment 7 Fedora Update System 2019-08-31 20:16:32 UTC
python-ruamel-yaml-clib-0.1.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-318d58ec15

Comment 8 Fedora Update System 2019-09-08 02:58:52 UTC
python-ruamel-yaml-clib-0.1.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-09-14 00:07:52 UTC
python-ruamel-yaml-clib-0.1.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-14 16:31:52 UTC
python-ruamel-yaml-clib-0.1.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.